SybaseDatabase (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.sybase.SybaseDatabase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.sybase
Interface SybaseDatabase

All Superinterfaces:
  ConfigurationItem, Database, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SybaseDatabase

extends Database

Represents an instance of the Sybase Database.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SYBSDBASE
Top Level:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.Database
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getOptions()`
`java.lang.String` | `getOwner()`
`SybaseServer` | `getParent()`
`java.lang.String` | `getSchemasRawData()`
`SybaseSegment[]` | `getSegments()`
`long` | `getSize()`
`boolean` | `hasOptions()`
`boolean` | `hasOwner()`
`boolean` | `hasParent()`
`boolean` | `hasSchemasRawData()`
`boolean` | `hasSegments()`
`boolean` | `hasSize()`
`void` | `setOptions(java.lang.String options)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setParent(SybaseServer parent)`
`void` | `setSchemasRawData(java.lang.String schemas)`
`void` | `setSegments(SybaseSegment[] segments)`
`void` | `setSize(long size)`

Methods inherited from interface com.collation.platform.model.topology.app.db.Database
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    SybaseServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(SybaseServer parent)

### hasParent

    boolean hasParent()

### getSchemasRawData

    java.lang.String getSchemasRawData()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSchemasRawData

    void setSchemasRawData(java.lang.String schemas)

### hasSchemasRawData

    boolean hasSchemasRawData()

### getSegments

    SybaseSegment[] getSegments()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setSegments

    void setSegments(SybaseSegment[] segments)

### hasSegments

    boolean hasSegments()

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOwner

    void setOwner(java.lang.String owner)

### hasOwner

    boolean hasOwner()

### getOptions

    java.lang.String getOptions()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOptions

    void setOptions(java.lang.String options)

### hasOptions

    boolean hasOptions()

### getSize

    long getSize()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSize

    void setSize(long size)

### hasSize

    boolean hasSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD